> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Fetch all events history for one particular received email.

GET https://api.brevo.com/v3/inbound/events/{uuid}

This endpoint will show the list of all events history for one particular received email.

Reference: https://developers.brevo.com/reference/get-inbound-email-events-by-uuid

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `uuid` (string, required) — UUID to fetch events specific to received email

## Response

### 200

Detailed information and event history for the specified received email.

- `attachments` (list of object, optional) — List of attachments of the email. This will be present only after the processing is done.
  - `contentId` (string, optional) — value of the Content-ID header of the attachment.
  - `contentLength` (integer, optional) — size of the attachment in bytes
  - `contentType` (string, optional) — value of the Content-Type header of the attachment
  - `name` (string, optional) — filename specified in the Content-Disposition header of the attachment
- `deliveredAt` (datetime, optional, nullable) — Date when email was delivered successfully to the client’s webhook
- `logs` (list of object, optional) — List of events/logs that describe the lifecycle of the email on the Brevo platform
  - `date` (datetime, optional) — Date of the event
  - `type` (enum, optional) — Type of the event
    - Allowed values: `received`, `processed`, `webhookFailed`, `webhookDelivered`
- `messageId` (string, optional) — Value of the Message-ID header. This will be present only after the processing is done.
- `receivedAt` (datetime, optional) — Date when email was received on SMTP relay
- `recipient` (string, optional) — Recipient’s email address
- `sender` (string, optional) — Sender’s email address
- `subject` (string, optional) — Value of the Subject header. This will be present only after the processing is done.

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 404 Not Found Error

UUID not found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "attachments": [
    {
      "contentLength": 12345,
      "contentType": "application/pdf",
      "name": "invoice.pdf"
    }
  ],
  "deliveredAt": "2017-03-12T12:31:00.000Z",
  "logs": [
    {
      "date": "2017-03-12T12:30:00.000Z",
      "type": "received"
    },
    {
      "date": "2017-03-12T12:30:04.000Z",
      "type": "webhookFailed"
    },
    {
      "date": "2017-03-12T12:31:04.000Z",
      "type": "webhookDelivered"
    }
  ],
  "messageId": "<a_nice@message.id>",
  "receivedAt": "2017-03-12T12:30:00.000Z",
  "recipient": "bob@example.com",
  "sender": "alice@example.com",
  "subject": "Re: Question about your API"
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.inboundParsing.getInboundEmailEventsByUuid({
        uuid: "uuid",
    });
}
main();

```

```python response
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.inbound_parsing.get_inbound_email_events_by_uuid(
    uuid_="uuid",
)

```

```php response
<?php

namespace Example;

use Brevo\Brevo;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->inboundParsing->getInboundEmailEventsByUuid(
    'uuid',
);

```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/inbound/events/uuid"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/inbound/events/uuid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/inbound/events/uuid")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/inbound/events/uuid");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/inbound/events/uuid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```